Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.event.shared
Class GwtEvent.Type<H>

    java.lang.Object
      com.google.web.bindery.event.shared.Event.Type<H>
          com.google.gwt.event.shared.GwtEvent.Type<H>

Type Parameters:
  `H` - handler type

Direct Known Subclasses:
  DomEvent.Type

Enclosing class:
  GwtEvent<H extends EventHandler>

    public static class GwtEvent.Type<H>

extends Event.Type<H>

Type class used to register events with the `HandlerManager`.

Type is parameterized by the handler type in order to make the addHandler method type safe.

Constructor Summary
`GwtEvent.Type()`

Method Summary

Methods inherited from class com.google.web.bindery.event.shared.Event.Type
`hashCode, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GwtEvent.Type

    public GwtEvent.Type()

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD